SOLVED

Debian from Marketplace not supported for Insights

%3CLINGO-SUB%20id%3D%22lingo-sub-1603298%22%20slang%3D%22en-US%22%3EDebian%20from%20Marketplace%20not%20supported%20for%20Insights%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1603298%22%20slang%3D%22en-US%22%3E%3CP%3EHi%3C%2FP%3E%3CP%3EHave%20two%20different%20Debian%20VM's.%20One%20is%20deployed%20from%20Disk%20and%20one%20from%20Marketplace.%26nbsp%3B%3C%2FP%3E%3CP%3EI'm%20having%20problems%20enabling%20Insights%20on%20the%20one%20from%20marketplace.%20It%20says%20it's%20unsupported%3C%2FP%3E%3CP%3E%3CBR%20%2F%3E%3CEM%3E%22While%20we%20encourage%20you%20to%20enable%20insights%20for%20Maps%2C%20you%20are%20using%20an%20OS%20version%20(Publisher%3A%20credativ%2C%20Offer%3A%20Debian%2C%20Sku%3A%209-backports)%20that%20is%20not%20supported%22%3C%2FEM%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EAnyone%20now%20it%20there%20is%20a%20workaround%20to%20get%20it%20supported.%20It's%20the%20same%20version%209.13%20as%20the%20one%20that%20works.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-1603298%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3Evm%20insights%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1612057%22%20slang%3D%22en-US%22%3ERe%3A%20Debian%20from%20Marketplace%20not%20supported%20for%20Insights%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1612057%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F577472%22%20target%3D%22_blank%22%3E%40PatrikHansson%3C%2FA%3E%26nbsp%3BInsights%20reads%20the%20meta%20data%20on%20the%20image%20to%20determine%20if%20we%20can%20support%20the%20OS%20or%20not.%26nbsp%3B%20For%20Debian%2C%20we%20can%20collect%20performance%20data%20on%20the%20versions%20of%20Debian%20versions%20that%20the%20Log%20Analytics%20agent%20supports.%20%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Fazure-monitor%2Finsights%2Fvminsights-enable-overview%23supported-operating-systems%22%20target%3D%22_self%22%20rel%3D%22noopener%20noreferrer%22%3EOur%20docs%3C%2FA%3E%20currently%20show%20this%20as%20Debian%209.4%20and%208.%26nbsp%3B%20The%20dependency%20agent%2C%20which%20collects%20the%20data%20used%20for%20the%20Maps%20view%20%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Fazure-monitor%2Finsights%2Fvminsights-enable-overview%23debian%22%20target%3D%22_self%22%20rel%3D%22noopener%20noreferrer%22%3Esupports%20Debian%209%2C%20kernel%204.9%3C%2FA%3E.%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3EIn%20your%20case%2C%20it%20seems%20the%20image%20on%20the%20disk%20may%20have%20different%20meta%20data%20than%20the%20one%20from%20the%20Marketplace.%26nbsp%3B%20I%20would%20go%20ahead%20an%20enable%20VM%20Insights%20since%20you%20know%20the%20version%20of%20Debian%20worked%20fine%20for%20the%20image%20from%20the%20disk.%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1612763%22%20slang%3D%22en-US%22%3ERe%3A%20Debian%20from%20Marketplace%20not%20supported%20for%20Insights%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1612763%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F770977%22%20target%3D%22_blank%22%3E%40ScottK206%3C%2FA%3E%26nbsp%3B%3C%2FP%3E%3CP%3EHi%2C%20I%20would%20also%20like%20to%20enable%20insights%2C%20but%20can't.%20The%20enable%20Button%20isn't%20there.%3C%2FP%3E%3CP%3E%3CSPAN%20class%3D%22lia-inline-image-display-wrapper%20lia-image-align-inline%22%20image-alt%3D%22PatrikHansson_0-1598421183900.png%22%20style%3D%22width%3A%20632px%3B%22%3E%3CIMG%20src%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fimage%2Fserverpage%2Fimage-id%2F214747iAB796E86695F971B%2Fimage-dimensions%2F632x30%3Fv%3D1.0%22%20width%3D%22632%22%20height%3D%2230%22%20title%3D%22PatrikHansson_0-1598421183900.png%22%20alt%3D%22PatrikHansson_0-1598421183900.png%22%20%2F%3E%3C%2FSPAN%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1625159%22%20slang%3D%22en-US%22%3ERe%3A%20Debian%20from%20Marketplace%20not%20supported%20for%20Insights%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1625159%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F577472%22%20target%3D%22_blank%22%3E%40PatrikHansson%3C%2FA%3E%26nbsp%3B%3C%2FP%3E%3CP%3EWithout%20changing%20anything%20I%20noticed%20today%20that%20the%20message%20was%20gone%20and%20I%20could%20enable%20Insights%20today.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1625665%22%20slang%3D%22en-US%22%3ERe%3A%20Debian%20from%20Marketplace%20not%20supported%20for%20Insights%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1625665%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F577472%22%20target%3D%22_blank%22%3E%40PatrikHansson%3C%2FA%3E%26nbsp%3BYep%2C%20we%20took%20a%20look%20at%20the%20code%20since%20we%20had%20recently%20expanded%20support%20for%20Debian.%26nbsp%3B%20There%20were%20a%20few%20checks%20in%20place%20that%20blocked%20some%20versions%20of%20Debian%20that%20no%20longer%20needed%20to%20be%20there.%26nbsp%3B%20We%20removed%20those%20old%20checks%20and%20pushed%20out%20a%20change%20last%20week.%26nbsp%3B%20Happy%20to%20hear%20that%20it%20addressed%20this%20problem%20you%20were%20running%20into!%3C%2FP%3E%3C%2FLINGO-BODY%3E
Contributor

Hi

Have two different Debian VM's. One is deployed from Disk and one from Marketplace. 

I'm having problems enabling Insights on the one from marketplace. It says it's unsupported


"While we encourage you to enable insights for Maps, you are using an OS version (Publisher: credativ, Offer: Debian, Sku: 9-backports) that is not supported"

 

Anyone now it there is a workaround to get it supported. It's the same version 9.13 as the one that works.

4 Replies

@PatrikHansson Insights reads the meta data on the image to determine if we can support the OS or not.  For Debian, we can collect performance data on the versions of Debian versions that the Log Analytics agent supports. Our docs currently show this as Debian 9.4 and 8.  The dependency agent, which collects the data used for the Maps view supports Debian 9, kernel 4.9.

 

In your case, it seems the image on the disk may have different meta data than the one from the Marketplace.  I would go ahead an enable VM Insights since you know the version of Debian worked fine for the image from the disk. 

@ScottK206 

Hi, I would also like to enable insights, but can't. The enable Button isn't there.

PatrikHansson_0-1598421183900.png

 

@PatrikHansson 

Without changing anything I noticed today that the message was gone and I could enable Insights today.

best response confirmed by PatrikHansson (Contributor)
Solution

@PatrikHansson Yep, we took a look at the code since we had recently expanded support for Debian.  There were a few checks in place that blocked some versions of Debian that no longer needed to be there.  We removed those old checks and pushed out a change last week.  Happy to hear that it addressed this problem you were running into!